Loading...
Searching...
No Matches
spa_handle Struct Reference
SPA » Support » Plugin Handle

`#include <spa/support/plugin.h>`

## Data Fields

uint32_t | version
int(* | get_interface )(struct spa_handle *handle, const char *type, void **iface)
| Get the interface provided by handle with type.
int(* | clear )(struct spa_handle *handle)
| Clean up the memory of handle.

## Detailed Description

Examples
  bluez-session.c, export-spa.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, and spa/examples/local-videotestsrc.c.

## Field Documentation

## version

uint32_t spa_handle::version

## get_interface

int(* spa_handle::get_interface) (struct spa_handle *handle, const char *type, void **iface)

Get the interface provided by handle with type.

interface is always a struct spa_interface but depending on type, the struct might contain other information.

Parameters

  handle | a spa_handle
  type | the interface type
  iface | result to hold the interface.

Returns
  0 on success -ENOTSUP when there are no interfaces -EINVAL when handle or info is NULL

## clear

int(* spa_handle::clear) (struct spa_handle *handle)

Clean up the memory of handle.

After this, handle should not be used anymore.

Parameters

  handle | a pointer to memory

Returns
  0 on success

The documentation for this struct was generated from the following file:

- spa/support/plugin.h